Package org.springframework.expression.spel.ast

# Enum Class TypeCode

java.lang.Object
java.lang.Enum<TypeCode>
org.springframework.expression.spel.ast.TypeCode

All Implemented Interfaces:
  `Serializable`, `Comparable<TypeCode>`, `Constable`

public enum TypeCode extends Enum<TypeCode>
Captures primitive types and their corresponding class objects, plus one special `OBJECT` entry that represents all reference (non-primitive) types.

Author:
  Andy Clement, Sam Brannen

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
A `boolean`.
`BYTE`
A `byte`.
`CHAR`
A `char`.
`DOUBLE`
A `double`.
`FLOAT`
A `float`.
`INT`
An `int`.
`LONG`
A `long`.
`OBJECT`
An `Object`.
`SHORT`
A `short`.

## Method Summary

Modifier and Type
Method
Description
`static TypeCode`
`forClass(Class<?> clazz)`
`static TypeCode`
`forName(String name)`
`Class<?>`
`getType()`
`static TypeCode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TypeCode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OBJECT

public static final TypeCode OBJECT
An `Object`.

### BOOLEAN

public static final TypeCode BOOLEAN
A `boolean`.

### CHAR

public static final TypeCode CHAR
A `char`.

### BYTE

public static final TypeCode BYTE
A `byte`.

### SHORT

public static final TypeCode SHORT
A `short`.

### INT

public static final TypeCode INT
An `int`.

### LONG

public static final TypeCode LONG
A `long`.

### FLOAT

public static final TypeCode FLOAT
A `float`.

### DOUBLE

public static final TypeCode DOUBLE
A `double`.

## Method Details

### values

public static TypeCode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TypeCode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public Class<?> getType()

### forName

public static TypeCode forName(String name)

### forClass

public static TypeCode forClass(Class<?> clazz)